Subject: Re: bug#13013: 24.3.50; Windows XP bug? get-file-buffer, file-name-as-directory

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Nov 2012 21:52:47 +0200

> From: Achim Gratz <[email-masked]>
> Date: Tue, 27 Nov 2012 20:23:08 +0100
> 
> Eli Zaretskii writes:
> > Because Windows 7 doesn't put a 8+3 alias into TEMP, but instead uses
> > the full long file name.  Probably because XP still supports DOS
> > programs (via NTVDM), while Windows 7 tossed that support.
> 
> Win7 may not support DOS programs, but it still supports 8+3 filenames,

Of course it does.  I never said it didn't.  I attempted to explain
why XP sets TEMP to something like C:\DOCUME~1\USERNAME\LOCALS~1\Temp,
whereas Windows 7 sets it to C:\Users\USERNAME\APPDATA\Local\Temp.